org.apache.lucene.search

## Class SpanFilterResult.StartEnd

- java.lang.Object
- - org.apache.lucene.search.SpanFilterResult.StartEnd

- Enclosing class:
    SpanFilterResult

      public static class SpanFilterResult.StartEnd
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartEnd(int start, int end)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEnd()`
    `int` | `getStart()` The Start position

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartEnd

          public StartEnd(int start,
                          int end)

  - ### Method Detail

    - #### getEnd

          public int getEnd()

      Returns:
        The end position of this match

    - #### getStart

          public int getStart()

      The Start position
      Returns:
        The start position of this match

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.